<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
version $Date: 2003/05/04 06:40:15 $

-->
<list>
    <category name="Utility">
        <project>
            <name>util-datastruct</name>
            <package>net.sourceforge.groboutils.util.datastruct.v1</package>
            <description>
             Contains various data structures, all JDK 1.1 compatible.
            </description>
            <class>
                <name>PathRegistry</name>
                <description>
                A tree structure which allows for elements to be registered,
                deregistered, and accessed. Tree elements can define themselves
                as case sensitive or insensitive. They may also define that all
                sub-nodes should return the current parent node. Nodes are
                accessed through a single String, which is parsed internally.
                The path separator may be any character.
                </description>
            </class>
            <class>
                <name>SynchQueue</name>
                <description>
                A Queue (first-in, first-out) which allows for waiting
                indefinitely or for a specific period of time for a new
                element to be added to the Queue. Useful for passing data
                between threads. This has been optimized for synchronization.
                </description>
            </class>
            <class>
                <name>ObjectCache</name>
                <description>
                A store of reserved objects to prevent the Garbage Collector
                from working overtime on commonly used objects. It has options
                for setting the maximum and minimum sizes for the number of
                stored objects.
                </description>
            </class>
            <status>
            03-May-2003:
            Just entered RC 1.  The documentation will need to be completed
            before this goes gold.
            </status>
        </project>
    </category>
</list>

